%define spmajor 1
%define libname    %mklibname sidplay2_ %{spmajor}
%define develname %mklibname -d sidplay2
%define sumajor 0
%define libnamesu %mklibname sidutils %{sumajor}
%define bumajor 0
%define libnamebu %mklibname sidplay-builders %bumajor
%define develnamesu %mklibname -d sidutils
%define staticdevelnamesu %mklibname -s -d sidutils

Summary:        A Commodore 64 music player and SID chip emulator library
Name:           sidplay-libs
Version:        2.1.1
Release:        %mkrel 25
Source:         http://prdownloads.sourceforge.net/sidplay2/%{name}-%version.tar.bz2
Patch:		sidplay-libs-2.1.1-gcc4.3.patch
#gw from xsidplay 2.0.3
Patch1:		cia1.patch
Patch2:		sidplay-libs-2.1.1-builders-dir.patch
Patch3:         sidplay-libs-2.1.1-pkgconfig.patch
License:        GPLv2+
Group:          System/Libraries
URL:            http://sidplay2.sourceforge.net/
BuildRequires:  chrpath

%description
This is a cycle-based version of a C64 music playing library
developed by Simon White. This library provides no internal
SID emulation. Instead a means to drive any external SID hardware or
emulation has been provided using the SID Builder Classes.

A ReSID Builder Class using a modified version of ReSID 0.13
is included in this package. Alternative/updated classes can be
obtained from the SIDPlay2 homepage.

%package -n %libname
Summary:        A Commodore 64 music player and SID chip emulator library
Group:          System/Libraries
Obsoletes:	%{_lib}sidplay2 < %{version}-%{release}

%description -n %libname
This is a cycle-based version of a C64 music playing library
developed by Simon White. This library provides no internal
SID emulation. Instead a means to drive any external SID hardware or
emulation has been provided using the SID Builder Classes.

%package -n %libnamebu
Summary:        A Commodore 64 music player and SID chip emulator library
Group:          System/Libraries

%description -n %libnamebu
This is a cycle-based version of a C64 music playing library
developed by Simon White. This library provides no internal
SID emulation. Instead a means to drive any external SID hardware or
emulation has been provided using the SID Builder Classes.

A ReSID Builder Class using a modified version of ReSID 0.13
is included in this package. Alternative/updated classes can be
obtained from the SIDPlay2 homepage.

%package -n %develname
Summary:        Development headers and libraries for %{libname}
Group:          Development/C++
Requires:       %{libname} = %{version}
Requires:       %{libnamebu} = %{version}
Provides:       libsidplay-devel = %{version}-%release
Provides:	sidplay2-devel = %version-%release
Obsoletes:	%{_lib}sidplay2_1-devel < %version-%release

%description -n %develname
This package includes the header and library files necessary
for developing applications to use %{libname}.

%package -n %libnamesu
Summary:        General utility library for use in sidplayers
Requires:	%libname = %version
Group:          System/Libraries

%description -n %libnamesu
This library provides general utilities that are not considered core
to the C64 emulation.  Utilities include decoding and obtaining tune
lengths from the songlength database, INI file format parser and SID
filter files (types 1 and 2).

%package -n %develnamesu
Summary:        Development headers and libraries for libsidutils
Group:          Development/C++
Requires:       %libnamesu = %{version}
Requires:	%{develname} = %version
Provides:       libsidutils-devel = %{version}-%release
Obsoletes:	%mklibname -d sidutils 0

%description -n %develnamesu
This package includes the header and library files necessary
for developing applications to use %libnamesu.

%prep
%setup -q
%autopatch -p1

%build
for dir in . resid libsidutils libsidplay builders/resid-builder builders/hardsid-builder; do
  autoreconf -vfi -Iunix $dir
done

export CFLAGS="%optflags -Wno-narrowing -fPIC"
export CXXFLAGS="%optflags -Wno-narrowing -fPIC"
%configure --disable-static --enable-shared
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete
rm -f %buildroot%_libdir/lib*.a
chrpath -d %buildroot%_libdir/libsidutils.so

%multiarch_includes %buildroot%_includedir/sidplay/sidconfig.h

%files -n %libname
%doc libsidplay/AUTHORS libsidplay/ChangeLog libsidplay/README libsidplay/TODO
%{_libdir}/libsidplay2.so.%{spmajor}
%{_libdir}/libsidplay2.so.%{spmajor}.*

%files -n %libnamebu
%_libdir/libresid-builder.so.%{bumajor}
%_libdir/libresid-builder.so.%{bumajor}.*
%_libdir/libhardsid-builder.so.%{bumajor}
%_libdir/libhardsid-builder.so.%{bumajor}.*


%files -n %develname
%{_includedir}/sidplay/*.h
%{_includedir}/sidplay/builders/*.h
%multiarch %multiarch_includedir/sidplay/
%{_libdir}/libsidplay2.so
%{_libdir}/libresid-builder.so
%{_libdir}/libhardsid-builder.so
%{_libdir}/pkgconfig/libsidplay*.pc

%files -n %libnamesu
%doc libsidutils/AUTHORS libsidutils/ChangeLog libsidutils/README libsidutils/TODO
%{_libdir}/libsidutils.so.%{sumajor}
%{_libdir}/libsidutils.so.%{sumajor}.*

%files -n %develnamesu
%dir %{_includedir}/sidplay/utils/
%{_includedir}/sidplay/utils/*
%{_libdir}/libsidutils*.so
%_libdir/pkgconfig/libsidutils*pc


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 2.1.1-25.mga8
+ Revision: 1517035
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.1.1-24.mga7.tainted
+ Revision: 1301020
- Mageia 7 Mass Rebuild

* Sat Jul 07 2018 wally <wally> 2.1.1-23.mga7
+ Revision: 1242510
- fix build on aarch64
- use new make macros
- clean .spec a bit

* Wed Jan 13 2016 gw666 <gw666> 2.1.1-22.mga6.tainted
+ Revision: 922476
- rebuild

* Mon Aug 24 2015 gw666 <gw666> 2.1.1-21.mga6
+ Revision: 868977
- rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.1-20.mga6
+ Revision: 746290
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.1-19.mga5.tainted
+ Revision: 689151
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.1.1-18.mga4.tainted
+ Revision: 518330
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.1.1-17.mga3.tainted
+ Revision: 382011
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 gw666 <gw666> 2.1.1-16.mga3
+ Revision: 331564
- really fix pkgconfig files

* Sun Dec 16 2012 gw666 <gw666> 2.1.1-15.mga3
+ Revision: 331526
- fix pkgconfig files not to reference libtool archives

* Thu Dec 06 2012 gw666 <gw666> 2.1.1-14.mga3
+ Revision: 327372
- build builders as shared libraries

* Thu Nov 29 2012 gw666 <gw666> 2.1.1-13.mga3
+ Revision: 323098
- really don't remove static builder libs
- readd builder libs, they are needed by audacious-sid at least

* Sat Oct 20 2012 fwang <fwang> 2.1.1-12.mga3
+ Revision: 308365
- fix requires

* Sun Oct 14 2012 fwang <fwang> 2.1.1-11.mga3
+ Revision: 305421
- update develname

* Sun Oct 14 2012 fwang <fwang> 2.1.1-10.mga3
+ Revision: 305410
- remove more files
- spec cleanup

* Sun Feb 20 2011 ahmad <ahmad> 2.1.1-10.mga2.tainted
+ Revision: 54710
- drop old/unneeded scriptlets
- imported package sidplay-libs


* Fri May 22 2009 Götz Waschk <waschk@mandriva.org> 2.1.1-9mdv2010.0
+ Revision: 378682
- rebuild

* Wed May 06 2009 Götz Waschk <waschk@mandriva.org> 2.1.1-8mdv2010.0
+ Revision: 372560
- add cia1 timer support for xsidplay

* Mon Jul 07 2008 Götz Waschk <waschk@mandriva.org> 2.1.1-7mdv2009.0
+ Revision: 232324
- update the patch for gcc 4.3
- update license
- fix devel name for the sidutils package

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jul 06 2007 Götz Waschk <waschk@mandriva.org> 2.1.1-6mdv2008.0
+ Revision: 48919
- bump release
- Import sidplay-libs




* Wed Jul  5 2006 Götz Waschk <waschk@mandriva.org> 2.1.1-5mdv2007.0
- update the patch

* Thu May 11 2006 Götz Waschk <waschk@mandriva.org> 2.1.1-4mdk
- Rebuild
- use mkrel

* Tue May 10 2005 Götz Waschk <waschk@mandriva.org> 2.1.1-3mdk
- fix build on x86_64

* Fri Apr  8 2005 Götz Waschk <waschk@linux-mandrake.com> 2.1.1-2mdk
- multiarch support
- build fix

* Fri Jul 23 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.1.1-1mdk
- New release 2.1.1

* Fri Jun  4 2004 Götz Waschk <waschk@linux-mandrake.com> 2.1.0-8mdk
- add source URL
- patch for new g++

* Tue Oct  7 2003 Götz Waschk <waschk@linux-mandrake.com> 2.1.0-7mdk
- small hack to fix build
- fix devel provides
- drop prefix

* Wed Jul  9 2003 Götz Waschk <waschk@linux-mandrake.com> 2.1.0-6mdk
- rebuild for new rpm

* Tue Jun 24 2003 Götz Waschk <waschk@linux-mandrake.com> 2.1.0-5mdk
- add libsidplay2-devel to the buildrequires

* Mon Apr 28 2003 Götz Waschk <waschk@linux-mandrake.com> 2.1.0-4mdk
- fix distriblint warnings

* Wed Mar 12 2003 Götz Waschk <waschk@linux-mandrake.com> 2.1.0-3mdk
- fix buildrequires and requires

* Tue Mar 11 2003 Götz Waschk <waschk@linux-mandrake.com> 2.1.0-2mdk
- mklibname macro

* Mon Dec 30 2002 Götz Waschk <waschk@linux-mandrake.com> 2.1.0-1mdk
- merge libsidplay2 and libsidutils packages
- new version

* Fri Dec 20 2002 Götz Waschk <waschk@linux-mandrake.com> 2.1.0-0.20021220.1mdk
- fix build with automake1.6
- fix requires and provides of the devel package
- new cvs snapshot 

* Thu Nov 14 2002 Götz Waschk <waschk@linux-mandrake.com> 2.1.0-0.20021114.1mdk
- add resid headers
- new snapshot

* Mon Oct  7 2002 Götz Waschk <waschk@linux-mandrake.com> 2.1.0-0.20021007.1mdk
- new snapshot

* Tue Sep  3 2002 Götz Waschk <waschk@linux-mandrake.com> 2.1.0-0.20020903.1mdk
- new snapshot

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 2.1.0-0.20020729.2mdk
- Rebuild with gcc3.2

* Mon Jul 29 2002 Götz Waschk <waschk@linux-mandrake.com> 2.1.0-0.20020729.1mdk
- update from CVS

* Sun May 26 2002 Götz Waschk <waschk@linux-mandrake.com> 2.1.0-0.20020526.1mdk
- merge with official spec file
- update to CVS version

* Sun May 26 2002 Götz Waschk <waschk@linux-mandrake.com> 2.0.7-6mdk
- gcc 3.1

* Thu Nov 15 2001 Götz Waschk <waschk@linux-mandrake.com> 2.0.7-5mdk
- fix rpmlint error shlib-with-non-pic-code
- updated source tar ball to 2.0.7-5

* Mon May 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.7-4mdk
- rebuild

* Mon May 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.7-3mdk
- updated by Götz Waschk <waschk@linux-mandrake.com> :
	- merged with 2.0.7-4 from the home page (updated source tar ball)

* Thu Apr 19 2001 Götz Waschk <waschk@linux-mandrake.com> 2.0.7-2mdk
- adapted for Mandrake

* Sun Apr 1 2001 Simon White <s_a_white@email.com> 2.0.7-1mdk
- First spec file.

# end of file
